Skip to content

Modify Block Time

Update a single block time entry by its ID. Use Bulk Modify Recurring Blocks to update all occurrences of a recurring block at once.

Endpoint

POST /v1/doctor-block/modify-block/{doctorBlockingScheduleId}

Path Parameters

Parameter Type Required Description
doctorBlockingScheduleId integer Yes Unique ID of the block entry to modify

Request Body

All fields are optional. Only the provided fields are updated.

Parameter Type Required Description
starts_at string (datetime) No Updated block start datetime (UTC)
ends_at string (datetime) No Updated block end datetime (UTC)
block_reason string No Updated reason code (see Block Reason Values)
slot_start_time string No Updated slot start time (HH:mm)
slot_end_time string No Updated slot end time (HH:mm)
comments string No Updated free-text note
recurrence_frequency string No Updated recurrence pattern (see Recurrence Values)
days_of_occurrence array No Updated weekday integers for recurring blocks
interval_count integer No Updated interval between occurrences

Request

curl --location '{base_url}/v1/doctor-block/modify-block/10045' \
  --header 'Authorization: Bearer JWT_TOKEN' \
  --header 'Content-Type: application/json' \
  --data '{
    "starts_at": "2025-07-24T10:00:00",
    "ends_at": "2025-07-24T11:00:00",
    "comments": "Rescheduled team lunch"
  }'

Response

Success Response

Code: 200 OK

{
  "code": 2000,
  "data": {
    "doctor_blocking_schedule_id": 10045,
    "doctor_id": 485195,
    "clinic_id": 44,
    "block_reason": "LUNCH",
    "starts_at": "2025-07-24T10:00:00",
    "ends_at": "2025-07-24T11:00:00",
    "block_date": "2025-07-24",
    "slot_start_time": "10:00",
    "slot_end_time": "11:00",
    "recurrence_frequency": "NON_RECURRENT",
    "block_identifier": "uuid-abc-123",
    "block_status": "ACTIVE",
    "comments": "Rescheduled team lunch"
  },
  "message": "Success"
}

Error Response

Code: 400 Bad Request

{
  "code": 4000,
  "message": "Block not found",
  "data": null
}